This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 694403

Summary: should use systemctl instead of chkconfig --list
Product: [Fedora] Fedora Reporter: Rahul Sundaram <metherid>
Component: libvirtAssignee: Eric Blake <eblake>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 15CC: aquini, berrange, clalance, crobinso, eblake, itamar, jforbes, laine, notting, sven, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 761329 (view as bug list) Environment:
Last Closed: 2012-05-24 06:03:42 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 761329    

Description Rahul Sundaram 2011-04-07 04:51:26 EDT
Description of problem:
When I did a yum update today in Fedora 15 branch,  I get

" Updating   : libvirt-client-0.8.8-4.fc15.x86_64                        14/132 

Note: This output shows SysV services only and does not include native
      systemd services. SysV configuration data might be overriden by native
      systemd configuration.

  Updating   : libvirt-python-0.8.8-4.fc15.x86_64                        15/132 
"

Looking at the spec,  it uses chkconfig --list and using that provides this output.  You should be using systemctl instead and add a dependency.  If you are migrated services from sysv to systemd,  refer to

https://fedoraproject.org/wiki/TomCallaway/Systemd_Revised_Draft
Comment 1 Bill Nottingham 2011-04-07 10:19:11 EDT
Really, it should just do 'chkconfig --level $level <service>' to check if a service is enabled. The scriptlet as is today will already fail if you're running in a non-english locale, for example.
Comment 2 Fedora Admin XMLRPC Client 2011-09-22 13:51:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-09-22 13:54:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-11-30 15:00:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-11-30 15:04:13 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-11-30 15:06:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2011-11-30 15:06:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Eric Blake 2011-12-06 08:43:09 EST
bug 738725 tracks the change to silence the update; however, it missed out on your observation in comment 1 that non-C locale may break the behavior of the snippet.
Comment 10 Eric Blake 2011-12-07 23:01:46 EST
This should be backported to F15, and cloned to F16.

commit fea83dde7b7e0725e4353a2cc5b6e5c7c61cb294
Author: Eric Blake <eblake@redhat.com>
Date:   Tue Dec 6 16:16:34 2011 -0700

    spec: don't use chkconfig --list
    
    https://bugzilla.redhat.com/show_bug.cgi?id=694403 reports that
    the specfile is incorrectly checking for a running libvirt-guests
    service.  For example,
    
    $ LC_ALL=es_ES chkconfig --list libvirt-guests
    libvirt-guests        0:desactivado          1:desactivado     2:desactivado     3:activo 5:activo         6:desactivado
    
    will fail to find 5:on, even though it is active.  But chkconfig
    already has a mode where you can silently use the exit status to
    check for an active service.
    
    * libvirt.spec.in (%post): Use simpler chkconfig options, to avoid
    issues with localization.
Comment 11 Sven Lankes 2012-05-24 06:03:42 EDT
This is fixed for F16+ - as F15 is nearing EOL and libvirt hasn't been updated in 10 Months I guess it's save to close this bug now.